Search Companies
curl --request GET \
--url https://api.debtstack.ai/v1/companiesimport requests
url = "https://api.debtstack.ai/v1/companies"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.debtstack.ai/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.debtstack.ai/v1/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.debtstack.ai/v1/companies"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.debtstack.ai/v1/companies")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.debtstack.ai/v1/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"meta": {
"total": 123,
"limit": 123,
"offset": 123
}
}Companies
Search Companies
Filter and retrieve companies
GET
/
v1
/
companies
Search Companies
curl --request GET \
--url https://api.debtstack.ai/v1/companiesimport requests
url = "https://api.debtstack.ai/v1/companies"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.debtstack.ai/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.debtstack.ai/v1/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.debtstack.ai/v1/companies"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.debtstack.ai/v1/companies")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.debtstack.ai/v1/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"meta": {
"total": 123,
"limit": 123,
"offset": 123
}
}Overview
Search and filter companies by leverage, sector, debt metrics, and more. Supports field selection for optimized responses.Request
string
Comma-separated list of tickers to filter by.Example:
AAPL,MSFT,GOOGLstring
Filter by sector.Example:
Technology, Energy, Communication Servicesstring
Filter by industry.Example:
Software, Oil & Gasnumber
Minimum leverage ratio (Total Debt / EBITDA).
number
Maximum leverage ratio.
number
Minimum net leverage ratio (Net Debt / EBITDA).
number
Maximum net leverage ratio.
integer
Minimum total debt in cents.Example:
100000000000 ($1 billion)integer
Maximum total debt in cents.
boolean
Filter for companies with structural subordination.
boolean
Filter for companies with floating rate debt.
boolean
Filter for companies with debt maturing within 24 months.
string
Comma-separated list of fields to return.Example:
ticker,name,net_leverage_ratiostring
Field to sort by. Prefix with
- for descending.Example: -net_leverage_ratiointeger
default:"50"
Number of results per page. Maximum 100.
integer
default:"0"
Pagination offset.
boolean
default:"false"
Include extraction metadata (qa_score, timestamps, warnings).
Response
array
Array of company objects with requested fields.
object
Examples
curl "https://api.debtstack.ai/v1/companies?ticker=AAPL,MSFT,GOOGL,AMZN,NVDA,META,TSLA&fields=ticker,name,net_leverage_ratio&sort=-net_leverage_ratio&limit=1" \
-H "X-API-Key: ds_xxxxx"
import requests
response = requests.get(
"https://api.debtstack.ai/v1/companies",
params={
"ticker": "AAPL,MSFT,GOOGL,AMZN,NVDA,META,TSLA",
"fields": "ticker,name,net_leverage_ratio",
"sort": "-net_leverage_ratio",
"limit": 1
},
headers={"X-API-Key": "ds_xxxxx"}
)
print(response.json())
const response = await fetch(
"https://api.debtstack.ai/v1/companies?" +
new URLSearchParams({
ticker: "AAPL,MSFT,GOOGL,AMZN,NVDA,META,TSLA",
fields: "ticker,name,net_leverage_ratio",
sort: "-net_leverage_ratio",
limit: "1"
}),
{
headers: { "X-API-Key": "ds_xxxxx" }
}
);
const data = await response.json();
console.log(data);
Response
{
"data": [
{
"ticker": "TSLA",
"name": "Tesla, Inc.",
"net_leverage_ratio": 1.8
}
],
"meta": {
"total": 7,
"limit": 1,
"offset": 0,
"filters_applied": {
"ticker": ["AAPL", "MSFT", "GOOGL", "AMZN", "NVDA", "META", "TSLA"]
}
}
}
Use Cases
Find Highly Leveraged Companies
curl "https://api.debtstack.ai/v1/companies?min_leverage=4.0&fields=ticker,name,leverage_ratio,net_leverage_ratio&sort=-leverage_ratio" \
-H "X-API-Key: ds_xxxxx"
Screen by Sector
curl "https://api.debtstack.ai/v1/companies?sector=Energy&has_floating_rate=true&fields=ticker,name,total_debt,secured_debt" \
-H "X-API-Key: ds_xxxxx"
Near-Term Maturity Wall
curl "https://api.debtstack.ai/v1/companies?has_near_term_maturity=true&fields=ticker,name,debt_due_1yr,debt_due_2yr,nearest_maturity" \
-H "X-API-Key: ds_xxxxx"

